<?php

/*
*	【DPパッケージ】
*/

//ロゴを変更する
function custom_login_logo() {
	echo '<style type="text/css">h1 a { background: url('.get_bloginfo('template_directory').'/admin/custom-login-logo.png) 50% 50% no-repeat !important; }</style>';
}
add_action('login_head', 'custom_login_logo');

//WordPressバージョンの更新情報を非表示にする
add_filter('pre_site_transient_update_core', '__return_zero');
//プラグインの更新情報を非表示にする
add_filter( 'pre_site_transient_update_plugins', create_function( '$a', "return null;" ) );
//管理バー非表示設定
add_filter( 'show_admin_bar', '__return_false' );
// APIによるバージョンチェックの通信をさせない
remove_action('wp_version_check', 'wp_version_check');
remove_action('admin_init', '_maybe_update_core');
// フッターWordPressリンクを非表示に
function custom_admin_footer() {
	echo '<style type="text/css">#wpfooter{border:none;} #footer-upgrade{display:none;}</style>';
}
add_filter('admin_footer_text', 'custom_admin_footer');
// 管理バーの項目を非表示
function remove_admin_bar_menu( $wp_admin_bar ) {
	$wp_admin_bar->remove_menu( 'wp-logo' ); // WordPressシンボルマーク
	$wp_admin_bar->remove_menu('my-account'); // マイアカウント
	$wp_admin_bar->remove_menu('comments'); // コメント
	$wp_admin_bar->remove_node('new-content'); // +新規
	$wp_admin_bar->remove_node('view'); // 項目を表示
}
add_action( 'admin_bar_menu', 'remove_admin_bar_menu', 99 );

// 管理バーのオプションとヘルプを非表示にする
function my_admin_head(){
	echo '<style type="text/css">#contextual-help-link-wrap,#screen-options-link-wrap{display:none;}</style>';
}
add_action('admin_head', 'my_admin_head');
// 管理バーにログアウトを追加

function add_new_item_in_admin_bar() {
	global $wp_admin_bar;
	$wp_admin_bar->add_menu(array(
	'id' => 'new_item_in_admin_bar',
	'title' => __('ログアウト'),
	'href' => wp_logout_url()
	));
}
add_action('wp_before_admin_bar_render', 'add_new_item_in_admin_bar');
// ダッシュボードウィジェット非表示
remove_all_actions('wp_dashboard_setup');
function example_remove_dashboard_widgets() {
	global $wp_meta_boxes;
	//Main column
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']); // 最近のコメント
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']); // 被リンク
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']); // プラグイン
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']); // クイック投稿
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']); // 最近の下書き
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']); // WordPressブログ
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
}
add_action('wp_dashboard_setup', 'example_remove_dashboard_widgets' ); // WordPressフォーラム
// メニューを非表示にする
function remove_menus () {
	remove_menu_page('wpcf7'); //Contact Form 7
	remove_menu_page('cpt_main_menu'); //Custom Post Type UI
	remove_menu_page('ps-taxonomy-expander.php'); //Term order
	remove_menu_page('ws-plugin--qcache-options'); //Quick Cache
	remove_menu_page('post_lists_view_custom'); //Post Lists View Custom
    remove_menu_page('siteguard'); //
	global $menu;
	unset($menu[4]); // メニューの線1
	unset($menu[5]); // 投稿
	unset($menu[15]); // リンク
	unset($menu[20]); // ページ
	unset($menu[25]); // コメント
	unset($menu[59]); // メニューの線2
	unset($menu[60]); // テーマ
	unset($menu[65]); // プラグイン
	unset($menu[70]); // プロフィール
	unset($menu[75]); // ツール
	unset($menu[80]); // 設定
	unset($menu[90]); // メニューの線3
}
add_action('admin_menu', 'remove_menus');

// Advanced Custom Fieldsを非表示にする
function remove_acf_menu() {
 remove_menu_page('edit.php?post_type=acf');
}
add_action( 'admin_menu', 'remove_acf_menu', 999);

// サブメニューを非表示にする
function remove_submenus() {
	remove_submenu_page('index.php', 'index.php'); // ダッシュボード -> ホーム
	remove_submenu_page('index.php', 'update-core.php'); // ダッシュボード -> 更新
	remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=category'); // 投稿 -> カテゴリ
	remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=post_tag'); // 投稿 -> タグ
	remove_submenu_page('link-manager.php', 'link-manager.php'); // リンク -> すべてのリンク
	remove_submenu_page('link-manager.php', 'link-add.php'); // リンク -> 新規追加
	remove_submenu_page('link-manager.php', 'edit-tags.php?taxonomy=link_category'); // リンク -> リンクカテゴリー
	remove_submenu_page('edit.php?post_type=page', 'edit.php?post_type=page'); // 固定ページ -> 固定ページ一覧
	remove_submenu_page('edit.php?post_type=page', 'post-new.php?post_type=page'); // 固定ページ -> 新規追加
	remove_submenu_page('themes.php', 'themes.php'); // 外観 -> テーマ
	remove_submenu_page('themes.php', 'widgets.php'); // 外観 -> ウィジェット
	remove_submenu_page('themes.php', 'theme-editor.php'); // 外観 -> テーマ編集
	remove_submenu_page('plugins.php', 'plugins.php'); // プラグイン -> インストール済みプラグイン
	remove_submenu_page('plugins.php', 'plugin-install.php'); // プラグイン -> 新規追加
	remove_submenu_page('plugins.php', 'plugin-editor.php'); // プラグイン -> プラグイン編集
	remove_submenu_page('users.php', 'users.php'); // ユーザー -> ユーザー一覧
	remove_submenu_page('users.php', 'user-new.php'); // ユーザー -> 新規追加
	remove_submenu_page('users.php', 'profile.php'); // ユーザー -> プロフィール
	remove_submenu_page('tools.php', 'tools.php'); // ツール -> 利用可能なツール
	remove_submenu_page('tools.php', 'import.php'); // ツール -> インポート
	remove_submenu_page('tools.php', 'export.php'); // ツール -> エクスポート
	remove_submenu_page('options-general.php', 'options-general.php'); // 設定 -> 一般
	remove_submenu_page('options-general.php', 'options-writing.php'); // 設定 -> 投稿設定
	remove_submenu_page('options-general.php', 'options-reading.php'); // 設定 -> 表示設定
	remove_submenu_page('options-general.php', 'options-discussion.php'); // 設定 -> ディスカッション
	remove_submenu_page('options-general.php', 'options-media.php'); // 設定 -> メディア
	remove_submenu_page('options-general.php', 'options-privacy.php'); // 設定 -> プライバシー
	remove_submenu_page('options-general.php', 'options-permalink.php'); // 設定 -> パーマリンク設定
}
add_action('admin_menu', 'remove_submenus', 102);

// 投稿画面の項目を非表示にする
function remove_default_post_screen_metaboxes() {
	remove_meta_box( 'postcustom','post','normal' ); // カスタムフィールド
	remove_meta_box( 'postexcerpt','post','normal' ); // 抜粋
	remove_meta_box( 'commentstatusdiv','post','normal' ); // ディスカッション
	remove_meta_box( 'commentsdiv','post','normal' ); // コメント
	remove_meta_box( 'trackbacksdiv','post','normal' ); // トラックバック
	remove_meta_box( 'authordiv','post','normal' ); // 作成者
	remove_meta_box( 'slugdiv','post','normal' ); // スラッグ
	remove_meta_box( 'revisionsdiv','post','normal' ); // リビジョン
}
add_action('admin_menu','remove_default_post_screen_metaboxes');
// 管理画面のメニュー項目名を変更する
function edit_admin_menus() {  
	global $menu;
	global $submenu;
	$menu[2][0] = '管理画面TOP'; // 'ダッシュボード'を'管理画面TOP'に変更
}
add_action( 'admin_menu', 'edit_admin_menus' ); 
//管理画面のタイトルを変更する
add_filter('admin_title', 'my_admin_title', 10, 2);
function my_admin_title($admin_title, $title){
	return ' 管理画面 - ' . get_bloginfo('name');
}
//すべての「?ver=」を非表示にする方法
function vc_remove_wp_ver_css_js( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}
add_filter( 'style_loader_src', 'vc_remove_wp_ver_css_js', 9999 );
add_filter( 'script_loader_src', 'vc_remove_wp_ver_css_js', 9999 );

/**/

/* 追加要素 */
// <p><br>無効
//remove_filter('the_content', 'wpautop');

// 画像サイズ設定
// true=トリミング、false=長辺に合わせて相対的に縮小
//add_image_size('photo_image', 640, 480, true);

/* ショートコード */
//インクルードファイル切り替え
function PHP_Include($params = array()) {
	extract(shortcode_atts(array(
		'file' => 'default'
	), $params));
	ob_start();
	include(get_theme_root() . '/' . get_template() . "/sys/$file.php");
	return ob_get_clean();
}
// register shortcode
add_shortcode('phpinclude', 'PHP_Include');
/*
* ショートコード
* [phpinclude file='テンプレートファイル名']
*/

//テンプレートURL
function shortcode_temp_url() {
	return get_template_directory_uri();
}
add_shortcode('template_url', 'shortcode_temp_url');
/*
* ショートコード
* [template_url]
* <?php echo get_template_directory_uri(); ?>
*/

//ブログURL
function shortcode_url() {
	return esc_url(home_url());
}
add_shortcode('url', 'shortcode_url');
/*
* ショートコード
* [url]
* <?php echo esc_url(home_url()); ?>
*/

//画像パスを置換
function replaceImagePath($arg) {
	$ul1='"' .get_template_directory_uri().'/img/' ;
	$ul2='"' .get_template_directory_uri().'/images/' ;
	$search  = array('"img/', '"images/');
	$replace = array($ul1, $ul2);
	$content = str_replace($search, $replace, $arg);
	return $content;
}
add_action('the_content', 'replaceImagePath');
